Skip to content
For the complete documentation index, see llms.txt. Markdown versions of documentation pages are available by appending .md to the page URL.
Primary navigation

Validate an external storage configuration

POST
/organization/external_storage/{external_storage_id}/validate

Validate one customer-managed external storage configuration.

Path Parameters
external_storage_id: string
Returns
ExternalStorageConfiguration object { id, created_at, geography, 4 more }
id: string
created_at: number
formatunixtime
geography: string
object: "organization.external_storage"
project_id: string
provider: AwsExternalStorageProvider { account_id, bucket, external_id, 3 more } or AzureExternalStorageProvider { account_name, container, region, 4 more } or GcpExternalStorageProvider { audience, bucket, region, 4 more } or OciExternalStorageProvider { bucket, region, tenancy_ocid, type }
One of the following:
AwsExternalStorageProvider object { account_id, bucket, external_id, 3 more }
account_id: string
bucket: string
external_id: string
region: string
role_arn: string
type: "aws"
AzureExternalStorageProvider object { account_name, container, region, 4 more }
account_name: string
container: string
region: string
resource_group: string
subscription_id: string
tenant_id: string
type: "azure"
GcpExternalStorageProvider object { audience, bucket, region, 4 more }
audience: string
bucket: string
region: string
type: "gcp"
workload_identity_pool_id: string
workload_identity_project_number: string
workload_identity_provider_id: string
OciExternalStorageProvider object { bucket, region, tenancy_ocid, type }
bucket: string
region: string
tenancy_ocid: string
type: "oci"
status: "pending" or "validated" or "degraded" or "unhealthy"
One of the following:
"pending"
"validated"
"degraded"
"unhealthy"

Validate an external storage configuration

curl -X POST https://api.openai.com/v1/organization/external_storage/extstorage_azure123/validate \
  -H "Authorization: Bearer $OPENAI_ADMIN_KEY" \
  -H "Content-Type: application/json"
{
  "object": "organization.external_storage",
  "id": "extstorage_azure123",
  "project_id": "proj_azure123",
  "provider": {
    "type": "azure",
    "tenant_id": "11111111-1111-1111-1111-111111111111",
    "subscription_id": "22222222-2222-2222-2222-222222222222",
    "resource_group": "customer-rg",
    "account_name": "customerstorage",
    "container": "openai-data",
    "region": "eastus"
  },
  "geography": "US",
  "status": "validated",
  "created_at": 1711471533
}
Returns Examples
{
  "object": "organization.external_storage",
  "id": "extstorage_azure123",
  "project_id": "proj_azure123",
  "provider": {
    "type": "azure",
    "tenant_id": "11111111-1111-1111-1111-111111111111",
    "subscription_id": "22222222-2222-2222-2222-222222222222",
    "resource_group": "customer-rg",
    "account_name": "customerstorage",
    "container": "openai-data",
    "region": "eastus"
  },
  "geography": "US",
  "status": "validated",
  "created_at": 1711471533
}